From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 5 July 2003<P>

Huh, only 400 subs last month...<BR>
<BR>
Star of David, re: Weird Al's <a href="/blend/wv.cgi?id=2003.06.27.15.21.26696">THE BIG THREE KILLED MY BABY</a> - actually, I think the best Weird Al romance song, at least in terms of risking running a little too true for some people, is "Good Enough For Now" - <BR>
<a href="http://www.com-www.com/weirdal/goodenoughfornow.html">http://www.com-www.com/weirdal/goodenoughfornow.html</a><BR>
<BR>
some verses:<BR>
<BR>
You're sort of everything I ever wanted<BR>
You're not perfect, but I love you anyhow<BR>
You're the woman that I've always dreamed of<BR>
Well, not really, but you're good enough for now<BR>
<BR>
You're pretty close to what I've always hoped for<BR>
That's why my love for you is fairly strong<BR>
And I swear I'm never gonna leave you, darlin'<BR>
At least 'til something better comes along<BR>

<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 5 July 2003<P>

sorry, that shoulda been <a href="/blend/wv.cgi?id=2003.06.12.02.36.28682">You Don't Love Me Anymore</a>
<HR>
From: <a href="/blend/av.cgi?id=1257">Semolina Pilchard</a><BR>
Date: 5 July 2003<P>

DIFFICULT LISTENING HOUR<BR>
<BR>
<a href="/blend/wv.cgi?id=2003.07.04.14.42.20037">Semolina</a> by THE RESIDENTS<BR>
<BR>
For more info on this wholly unique bizarre and hyper-creative "band", check out  <a href="http://www.residents.com/">http://www.residents.com/</a><BR>
<BR>
I saw them in a rare live performance at the House of Blues in L.A. last Halloween, performing a deeply romantic, operatic treatment of their album DEMONS DANCE ALONE.  They were doing wildly creative short films/"music videos" way before there was ever a DEVO or MTV...their collected filmed works are part of the Museum of Modern Art in NYC (and readily available on DVD in the collection ICKY FLIX).<BR>
<BR>
They ALWAYS perform in masks (i.e. giant eyeballs, skulls, shrouds, etc) and NEVER reveal their true identities.<BR>
<BR>
We should ALL take a lesson from The Residents..<BR>

<HR>
From: <a href="/blend/av.cgi?id=1257">Semolina Pilchard</a><BR>
Date: 5 July 2003<P>

If you are interested, check out one of their early "music videos" online..."Hello, Skinny" from the album DUCK STAB at <a href="http://www.mp4.com/media/8/8615.html">http://www.mp4.com/media/8/8615.html</a><BR>
<BR>
: )<BR>

<HR>
From: <a href="/blend/av.cgi?id=744">jimmyallgrownup</a><BR>
Date: 5 July 2003<P>

Suggestion for a new Survey question: What would a day at the Blender be like without MM's name-dropping and offtopic remarks? Hmm.
<HR>
From: <a href="/blend/av.cgi?id=1285">beansbaby03</a><BR>
Date: 5 July 2003<P>

hey you guys are all amazing writers...i could use some love advice...if you read my stuff and have any helpful words of wisdom i would appreciate it.<BR>
<BR>
Holly, 18, pa
<HR>
From: <a href="/blend/av.cgi?id=1257">Semolina Pilchard</a><BR>
Date: 5 July 2003<P>

say jimmy, you must know where i am...how'd you like a good old country ass-whuppin'?  as my good friend roy d. mercer would say, i'm about to open a 55-gallon drum of whupass and pour it all over you...
<HR>
From: <a href="/blend/av.cgi?id=744">jimmyallgrownup</a><BR>
Date: 5 July 2003<P>

LOL. Yeah, Roy D. Mercer WOULD be your friend... You're the worst kind of cracker, dude - the kind with just enough culture and intelligence to make you dangerous - and thoroughly annoying. Oh, and what exactly about my comment ticks you off? You don't name-drop? Tell me another one. All I'm trying to say is that WE GET THE POINT: you're a gen-u-ine hillbilly polymath who knows/has met lots of famous people and us lowly Blender-folk should be honored that you deign to address us. Yeah, we get it. And as for being offtopic, your comments are like the person who sings a song at the top of their lungs while a different one is playing on the radio. <BR>
<BR>
Am I THAT off base here? Anyone courageous enough to maybe, I don't know, timidly agree?<BR>
<BR>
-JAGU
<HR>
From: <a href="/blend/av.cgi?id=1267">Fake User Name</a><BR>
Date: 5 July 2003<P>

JAGU?  More like JAG-OFF...
<HR>